#!/usr/bin/perl -w
use warnings;
use strict;
use mapscript;

	my $out_fn = 'globe.png';
	unlink $out_fn if -e $out_fn;
	my $map = new mapscript::mapObj('wms-client.map') or die('Unable to open mapfile.');
	$map->setProjection('proj=ortho,lat_0=60,lon_0=-140');
	my $rect= new mapscript::rectObj();
	$rect->{minx} = -7000000;
	$rect->{miny} = -7000000;
	$rect->{maxx} =  7000000;
	$rect->{maxy} =  7000000;
	$map->{extent} = $rect;
	$map->{width} = 800;
	$map->{height} = 800;
	$map->{debug} = 1;
	my $img = $map->draw() or die('Unable to draw map');
	$img->save($out_fn);
	-e $out_fn or die 'Unable to save map';
